apiVersion: nmstate.io/v1
kind: NodeNetworkConfigurationPolicy
metadata:
  name: osp-eno3-ooo-node2
spec:
  desiredState:
    interfaces:
    - description: internalapi vlan interface
      ipv4:
        address:
        - ip: 172.16.31.51
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      name: eno3.31
      state: up
      type: vlan
      vlan:
        base-iface: eno3
        id: 31
    - description: storage vlan interface
      ipv4:
        address:
        - ip: 172.16.32.51
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      name: eno3.32
      state: up
      type: vlan
      vlan:
        base-iface: eno3
        id: 32
    - description: tenant vlan interface
      ipv4:
        address:
        - ip: 172.16.33.51
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      name: eno3.33
      state: up
      type: vlan
      vlan:
        base-iface: eno3
        id: 33
    - description: Configuring enp6s0
      ipv4:
        address:
        - ip: 172.16.29.51
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      mtu: 1500
      name: eno3
      state: up
      type: ethernet
  nodeSelector:
    kubernetes.io/hostname: ooo-node2
    node-role.kubernetes.io/worker: ""
